namespace InABox.DigitalMatter
{
    public class DMConfirmResponse : DMMessage
    {
        public override byte Type => 0x06;

        public byte Status { get; set; }

        protected override void DoDecode()
        {
            Status = TakeByte();
        }

        protected override void DoEncode()
        {
            AddByte(Status);
        }
    }
}